# SoSFBool Class Reference
[Field classes]

`#include <Inventor/fields/SoSFBool.h>`

Inheritance diagram for SoSFBool:

List of all members.

## Detailed Description

The SoSFBool class is a container for an SbBool value.

This field is used where nodes, engines or other field containers needs to store a boolean on/off or TRUE/FALSE value, like for instance as the "on" field of the SoPointLight, SoSpotLight and SoDirectionalLight node classes.

See also:
  SoMFBool

## Static Public Member Functions

void | initClass (void)

## Member Function Documentation

void SoSFBool::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoSField.

The documentation for this class was generated from the following files:

- SoSFBool.h
- SoSFBool.cpp